
From: Gerd Knorr <kraxel@bytesex.org>

Convert the ir-common module to new-style insmod options.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/common/ir-common.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/common/ir-common.c~v4l-ir-common-modparam drivers/media/common/ir-common.c
--- 25/drivers/media/common/ir-common.c~v4l-ir-common-modparam	Mon Nov  8 13:54:37 2004
+++ 25-akpm/drivers/media/common/ir-common.c	Mon Nov  8 13:54:37 2004
@@ -1,5 +1,5 @@
 /*
- * $Id: ir-common.c,v 1.4 2004/10/13 10:39:00 kraxel Exp $
+ * $Id: ir-common.c,v 1.5 2004/11/07 13:17:15 kraxel Exp $
  *
  * some common structs and functions to handle infrared remotes via
  * input layer ...
@@ -31,11 +31,11 @@ MODULE_AUTHOR("Gerd Knorr <kraxel@bytese
 MODULE_LICENSE("GPL");
 
 static int repeat = 1;
-MODULE_PARM(repeat,"i");
+module_param(repeat, int, 0444);
 MODULE_PARM_DESC(repeat,"auto-repeat for IR keys (default: on)");
 
 static int debug = 0;    /* debug level (0,1,2) */
-MODULE_PARM(debug,"i");
+module_param(debug, int, 0644);
 
 #define dprintk(level, fmt, arg...)	if (debug >= level) \
 	printk(KERN_DEBUG fmt , ## arg)
_
